using Microsoft.Xna.Framework;
using XQUEST.GameObjectManagement;
using XQUEST.Helpers;
using XQUEST.Input;
using XQUEST.SpriteAnimation;

namespace AudioDemo
{
  /// <summary>
  /// Represents an explosion.
  /// </summary>
  public class Explosion : SpriteGameObject
  {
    public Explosion(Game game, SpriteSheetInfo spriteSheetInfo, Animation animation)
      : base(game, spriteSheetInfo, animation)
    {
      // Recycle explosions.
      recycle = true;

      // No need for collision detection.
      collideWithOtherObjects = false;
    }

    public override void Update(GameTime gameTime, InputManager input)
    {
      // Remove ourself when the animation has ended.
      if (!((AnimatedSprite)Sprite).CurrentAnimation.IsStarted)
        state = GameObjectState.Dead;

      base.Update(gameTime, input);
    }
  }
}
